Module org.hdfgroup.hdfview
Package hdf.view.PaletteView

# Class DefaultPaletteView

Object
org.eclipse.swt.widgets.Dialog
hdf.view.PaletteView.DefaultPaletteView

All Implemented Interfaces:
  `DataView`, `PaletteView`

public class DefaultPaletteView extends org.eclipse.swt.widgets.Dialog implements PaletteView
Displays a dialog for viewing and change palettes.

Version:
  2.4 2/27/16
Author:
  Jordan T. Henderson

- ## Field Summary

  ### Fields inherited from interface hdf.view.DataView.DataView

  `DATAVIEW_IMAGE, DATAVIEW_TABLE, DATAVIEW_UNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultPaletteView(org.eclipse.swt.widgets.Shell parent, DataViewManager theViewer, ImageView theImageView)`
  Create a dialog for viewing and change palettes.
  `DefaultPaletteView(org.eclipse.swt.widgets.Shell parent, ImageView theImageView)`
  Create a dialog for viewing and changing palettes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createUI()`
  Create the visual components
  `HObject`
  `getDataObject()`

  ### Methods inherited from class org.eclipse.swt.widgets.Dialog

  `checkSubclass, getParent, getStyle, getText, setText`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultPaletteView

    public DefaultPaletteView(org.eclipse.swt.widgets.Shell parent, ImageView theImageView)
    Create a dialog for viewing and changing palettes.
    Parameters:
      `parent` - the parent component
      `theImageView` - the associated ImageView

  - ### DefaultPaletteView

    public DefaultPaletteView(org.eclipse.swt.widgets.Shell parent, DataViewManager theViewer, ImageView theImageView)
    Create a dialog for viewing and change palettes.
    Parameters:
      `parent` - the parent component
      `theViewer` - the data view manager
      `theImageView` - the associated ImageView

- ## Method Details

  - ### createUI

    public void createUI()
    Create the visual components

  - ### getDataObject

    public HObject getDataObject()
    Specified by:
      `getDataObject` in interface `DataView`
    Returns:
      the data object displayed in this data viewer